For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Dependent object
          • GET/dependents
          • GET/dependents/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsDependents

/dependents/{id}

GET
/hris/v1/dependents/:id
GET
/api/hris/v1/dependents/:id
$curl https://api.merge.dev/api/hris/v1/dependents/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "025fjlc6-6000-430a-848e-aafacbadf4fe",
3 "remote_id": "19202940",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "first_name": "Greg",
7 "middle_name": "A",
8 "last_name": "Hirsch",
9 "relationship": "CHILD",
10 "employee": "0958cbc6-6040-430a-848e-aafacbadf4ae",
11 "date_of_birth": "1990-11-10T00:00:00Z",
12 "gender": "MALE",
13 "phone_number": "+1234567890",
14 "home_location": "d2f972d0-2526-434b-9409-4c3b468e08f0",
15 "is_student": true,
16 "ssn": "1234567890",
17 "remote_was_deleted": true,
18 "field_mappings": {
19 "organization_defined_targets": {
20 "custom_key": "custom_value"
21 },
22 "linked_account_defined_targets": {
23 "custom_key": "custom_value"
24 }
25 },
26 "remote_data": [
27 {
28 "path": "/dependent",
29 "data": null
30 }
31 ]
32}

Returns a Dependent object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/dependents

Next

The EmployeePayrollRun object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_sensitive_fieldsbooleanOptional

Whether to include sensitive fields (such as social security numbers) in the response.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
first_namestring or null<=60 characters
The dependents's first name.
middle_namestring or null<=60 characters
The dependents's middle name.
last_namestring or null<=60 characters
The dependents's last name.
relationshipenum or null

The dependent’s relationship to the employee.

  • CHILD - CHILD
  • SPOUSE - SPOUSE
  • DOMESTIC_PARTNER - DOMESTIC_PARTNER
Allowed values:
employeestring or nullformat: "uuid"
The employee this person is a dependent of.
date_of_birthdatetime or null
The dependent's date of birth.
genderenum or null

The dependent’s gender.

  • MALE - MALE
  • FEMALE - FEMALE
  • NON-BINARY - NON-BINARY
  • OTHER - OTHER
  • PREFER_NOT_TO_DISCLOSE - PREFER_NOT_TO_DISCLOSE
Allowed values:
phone_numberstring or null<=50 characters
The dependent's phone number.
home_locationstring or nullformat: "uuid"
The dependents's home address.
is_studentboolean or null
Whether or not the dependent is a student
ssnstring or null<=50 characters
The dependents's social security number.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only